PERSONALITY(2)

NAME
personality - set the process execution domain

SYNOPSIS
#include <sys/personality.h>

int personality(unsigned long persona);

DESCRIPTION
Linux supports different execution domains, or personalities, for each process. Among other things, execution domains tell Linux how to map signal numbers into signal actions. The execution domain system allows Linux to provide limited support for binaries compiled under other UNIX-like operating systems. This function will return the current personality() when persona equals 0xffffffff. Otherwise, it will make the execution domain referenced by persona the new execution domain of the calling process.

RETURN VALUE
On success, the previous persona is returned. On error, -1 is returned, and errno is set appropriately.

ERRORS

EINVAL
    The kernel was unable to change the personality.

CONFORMING TO
personality() is Linux-specific and should not be used in programs intended to be portable.

COLOPHON
This page is part of release 3.62 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.